audtty(1)

NAME
audtty - Control Audacious from the command line with a friendly ncurses interface

SYNOPSIS
audtty [<-|+>ahlntV] [ options ]

DESCRIPTION
audtty is a simple application for controlling Audacious from the command line. It is designed to make common, simple tasks fast and easy to do. It is operated using arrow keys and standard Audacious keys, to make it easy and intuitive to learn.

OPTIONS
To negate a short option, use '+' instead of '-' (e.g. +a).
Long-options are negated with no-, (e.g. --no-read-all).

The keys for basic control are as follows:
    +-----------------------+
    | << > || o >> |
    +-----------------------+
           z x c v b

-a, --read-all
    Read all titles and lengths on startup (EXTREMELY SLOW) (default off).

-h, --help
    Print help message.

-l, --length
    Show length of track in playlist (SLOW) (default on).

-n, --numbers
    Show numbers in playlist (default on).

-t, --title
    Read the title from ID3/ogg-tags (SLOW) (default on).

-V, --version
    Display version information.

Tip: Things going slow? Try audtty -ntl

KEYS

Arrow right/left
    Skip forward/backward 5 seconds.

Arrow up/down
    Move up/down in the playlist or search results.

Page up/down
    Scroll up/down one page in the playlist or search results.

Enter
    Select and play file.

Esc Exit from application, or, if in other dialog, go to main view.

0 or +
    Increase volume.

9 or -
    Decrease volume.

a   Open a file browser window.

b   Jump to next song.

c   Pause.

d   Remove currently selected item from playlist.

j   Search for file to jump to.

L   Add URI to playlist.

q   Exit from application.

R   Reload playlist.

u   Save playlist.

v   Stop

x   Play

z   Jump to previuos song

FILE BROWSER

Enter
    Will either add the current selection if it is a file, or change directories if it is a directory.

a or A
    Will add selected file or directory to the playlist.

q or Esc
    Exit back to the main playlist window.

CONFIGURATION FILES

/etc/audtty.conf
    Global configuration file.

$HOME/.audtty.conf
    Local configuration file, specific for each user. Can be used to override the global options.

The syntax of the configuration files are long options without the '--', one on each line.

Example:
    numbers
    title
    length no-read-all

BUGS
The xmms remote controlling library provides no good way of detecting changes in the playlist, and therefore audtty might need to be told to reload the playlist if songs are moved. Do so by pressing L. If the length of the playlist changes, audtty will assume the playlist has changed and reload the entire playlist to make sure it is correct. Probably lots more.

AUTHORS
See /usr/share/doc/audtty/copyright for the list of authors.

RESOURCES
The audtty website can be found at <http://audacious-media-player.org/Audtty>

This man page was originally written by Knut Auvor Grythe <audtty@auvor.no>. Updated by Chris Taylor <chris@code-monkeys.org>.